ON_Interval Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

## Public Member Functions

| ON_Interval ()
| ON_Interval (double t0, double t1)
| ~ON_Interval ()
bool | operator!= (const ON_Interval &) const
bool | operator== (const ON_Interval &) const
void | Destroy ()
void | Set (double t0, double t1)
double | ParameterAt (double normalized_parameter) const
ON_Interval | ParameterAt (ON_Interval normalized_interval) const
double | NormalizedParameterAt (double interval_parameter) const
ON_Interval | NormalizedParameterAt (ON_Interval interval_parameter) const
double & | operator[] (int)
double | operator[] (int) const
double & | operator[] (unsigned int)
double | operator[] (unsigned int) const
double | Min () const
double | Max () const
double | Mid () const
double | Length () const
bool | IsIncreasing () const
bool | IsDecreasing () const
bool | IsInterval () const
bool | IsSingleton () const
bool | IsEmptyInterval () const
bool | IsValid () const
bool | IsEmptySet () const
bool | MakeIncreasing ()
int | Compare (const ON_Interval &other) const
bool | Includes (double t, bool bTestOpenInterval=false) const
bool | Includes (const ON_Interval &other, bool bProperSubSet=false) const
void | Reverse ()
void | Swap ()
bool | Intersection (const ON_Interval &)
bool | Intersection (const ON_Interval &, const ON_Interval &)
bool | Union (const ON_Interval &)
bool | Union (double t)
bool | Union (int count, const double *t)
bool | Union (const ON_Interval &, const ON_Interval &)

## Public Attributes

double | m_t [2]

## Static Public Attributes

static const ON_Interval | EmptyInterval

## Detailed Description

Definition at line 48 of file opennurbs_point.h.

## Constructor & Destructor Documentation

## ON_Interval() [1/2]

ON_Interval::ON_Interval | ( |  | ) |

## ON_Interval() [2/2]

ON_Interval::ON_Interval | ( | double | t0,
|  | double | t1
| ) |  |

## ~ON_Interval()

ON_Interval::~ON_Interval | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_Interval::Compare | ( | const ON_Interval & | other | ) | const

## Destroy()

void ON_Interval::Destroy | ( |  | ) |

## Includes() [1/2]

bool ON_Interval::Includes | ( | const ON_Interval & | other,
|  | bool | bProperSubSet = `false`
| ) |  | const

## Includes() [2/2]

bool ON_Interval::Includes | ( | double | t,
|  | bool | bTestOpenInterval = `false`
| ) |  | const

## Intersection() [1/2]

bool ON_Interval::Intersection | ( | const ON_Interval & |  | ) |

## Intersection() [2/2]

bool ON_Interval::Intersection | ( | const ON_Interval & | ,
|  | const ON_Interval & |
| ) |  |

## IsDecreasing()

bool ON_Interval::IsDecreasing | ( |  | ) | const

## IsEmptyInterval()

bool ON_Interval::IsEmptyInterval | ( |  | ) | const

## IsEmptySet()

bool ON_Interval::IsEmptySet | ( |  | ) | const

## IsIncreasing()

bool ON_Interval::IsIncreasing | ( |  | ) | const

## IsInterval()

bool ON_Interval::IsInterval | ( |  | ) | const

## IsSingleton()

bool ON_Interval::IsSingleton | ( |  | ) | const

## IsValid()

bool ON_Interval::IsValid | ( |  | ) | const

## Length()

double ON_Interval::Length | ( |  | ) | const

## MakeIncreasing()

bool ON_Interval::MakeIncreasing | ( |  | ) |

## Max()

double ON_Interval::Max | ( |  | ) | const

## Mid()

double ON_Interval::Mid | ( |  | ) | const

## Min()

double ON_Interval::Min | ( |  | ) | const

## NormalizedParameterAt() [1/2]

double ON_Interval::NormalizedParameterAt | ( | double | interval_parameter | ) | const

## NormalizedParameterAt() [2/2]

ON_Interval ON_Interval::NormalizedParameterAt | ( | ON_Interval | interval_parameter | ) | const

## operator!=()

bool ON_Interval::operator!= | ( | const ON_Interval & |  | ) | const

## operator==()

bool ON_Interval::operator== | ( | const ON_Interval & |  | ) | const

## operator[]() [1/4]

double& ON_Interval::operator[] | ( | int |  | ) |

## operator[]() [2/4]

double ON_Interval::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

double& ON_Interval::operator[] | ( | unsigned int |  | ) |

## operator[]() [4/4]

double ON_Interval::operator[] | ( | unsigned int |  | ) | const

## ParameterAt() [1/2]

double ON_Interval::ParameterAt | ( | double | normalized_parameter | ) | const

## ParameterAt() [2/2]

ON_Interval ON_Interval::ParameterAt | ( | ON_Interval | normalized_interval | ) | const

## Reverse()

void ON_Interval::Reverse | ( |  | ) |

## Set()

void ON_Interval::Set | ( | double | t0,
|  | double | t1
| ) |  |

## Swap()

void ON_Interval::Swap | ( |  | ) |

## Union() [1/4]

bool ON_Interval::Union | ( | const ON_Interval & |  | ) |

## Union() [2/4]

bool ON_Interval::Union | ( | const ON_Interval & | ,
|  | const ON_Interval & |
| ) |  |

## Union() [3/4]

bool ON_Interval::Union | ( | double | t | ) |

## Union() [4/4]

bool ON_Interval::Union | ( | int | count,
|  | const double * | t
| ) |  |

## Member Data Documentation

## EmptyInterval

const ON_Interval ON_Interval::EmptyInterval

static

Definition at line 52 of file opennurbs_point.h.

## m_t

double ON_Interval::m_t[2]

Definition at line 66 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_point.h